<template>
  <v-chip :color="badgeColor" small>
    {{ contractSentStatus }}
  </v-chip>
</template>

<script lang="ts" setup>
import { defineProps, computed } from 'vue';
import type { ContractSentStatus } from '~/utils/types';

const props = defineProps<{
  contractSentStatus: ContractSentStatus;
}>();

const colorMapping: Record<ContractSentStatus, string> = {
  "Pending": "amber",
  "Yes": "green"
};

const badgeColor = computed(() => {
  return colorMapping[props.contractSentStatus] || 'grey';
});
</script>

<style scoped>
.v-chip {
  font-size: 0.8rem;
}
</style>
